### Method

# Ide BufferManager find_buffer

#### Declaration

    IdeBuffer*
    ide_buffer_manager_find_buffer (
      IdeBufferManager* self,
      GFile* file
    )

#### Description

Locates the `IdeBuffer` that matches `GFile`, if any.

Available since: | 3.32

#### Parameters

`file` | `GFile`
| A `GFile`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeBuffer`
| An `IdeBuffer` or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.